
  <h1 class="d-flex justify-content-center">Problem Set Assignments</h1>
  <p class="fs-4"><span class="fw-bold">Group:</span> web11</p>
  <h3 class="mt-4 fw-bold">Link to Solutions</h3>
  <ul>
    <li><p class="fs-6"><%= link_to 'Problem Set 1: Basics', basics_path, class: "solution_link" %></p></li>
    <li><p class="fs-6"><%= link_to 'Problem Set 2: Basics Part II', basic2_quotations_path, class: "solution_link"  %></p></li>
    <li><p class="fs-6"><%= link_to 'Problem Set 3: Planning, odds, and ends', ps3_index_path, class: "solution_link"  %></p></li>
    <li><p class="fs-6"><%= link_to 'Problem Set 4: More odds and ends and user management', ps4_index_path, class: "solution_link"  %></p></li>
    <li><p class="fs-6"><%= link_to 'Problem Set 5: Content Management, Part I', ps5_index_path, class: "solution_link"  %></p></li>
    <li><p class="fs-6"><%= link_to 'Problem Set 6: Tele-health Consult Myanmar', ps6_index_path, class: "solution_link"  %></p></li>
  </ul>

  <div class="">
    <h4 class="fw-bold">Citation</h4>
    <h5>Problem Set 1: Basics</h5>
    <div class="citation">
      <p><span class="fw-bold">Title:</span> How to keep your footer where it belongs?</p>
      <p><span class="fw-bold">Link:</span> https://www.freecodecamp.org/news/how-to-keep-your-footer-where-it-belongs-59c6aa05c59c/</p>
      <p><span class="fw-bold">Purpose:</span> Used the code to fix footer at bottom of the page</p>
    </div>
    <div class="citation">
      <p><span class="fw-bold">Title:</span> Configuring Rails Applications</p>
      <p><span class="fw-bold">Link:</span> https://guides.rubyonrails.org/configuring.html</p>
      <p><span class="fw-bold">Purpose:</span> To raise exceptions regardless of local request or not</p>
    </div>

    <h5>Problem Set 2: Basics Part II</h5>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> How to load data from a text file in a PostgreSQL database?</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/5233321/how-to-load-data-from-a-text-file-in-a-postgresql-database </p>
      <p><span class="fw-bold">Purpose:</span> To load data from text file to database</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> SQL FULL OUTER JOIN Keyword</p>
      <p><span class="fw-bold">Link:</span> https://www.w3schools.com/sql/sql_join_full.asp</p>
      <p><span class="fw-bold">Purpose:</span> For viewing how to use OUTER join</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> Insert into ... values ( SELECT ... FROM ... )</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/25969/insert-into-values-select-from?rq=1</p>
      <p><span class="fw-bold">Purpose:</span> To check format for inserting values from another table</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> SQL RIDDLE: FIND THE SUM OF ASCII CODES OF EMPLOYEE NAMES (SOLUTION)</p>
      <p><span class="fw-bold">Link:</span> https://www.realdbamagic.com/sql-riddle-find-sum-ascii-codes-employee-names-solution/</p>
      <p><span class="fw-bold">Purpose:</span> For getting the sum of ASCII characters of the stock symbol. The code is edited to suit the purpose for this assignment.</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> PL/SQL - Cursors</p>
      <p><span class="fw-bold">Link:</span> https://www.tutorialspoint.com/plsql/plsql_cursors.htm</p>
      <p><span class="fw-bold">Purpose:</span> For learning to use cursors</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> Cursors</p>
      <p><span class="fw-bold">Link:</span> https://www.postgresql.org/docs/9.2/plpgsql-cursors.html</p>
      <p><span class="fw-bold">Purpose:</span> For learning to use cursors</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> How to return array of values from PostgreSQL function by INT id</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/35374093/how-to-return-array-of-values-from-postgresql-function-by-int-id</p>
      <p><span class="fw-bold">Purpose:</span> For learning to use arrays in PL/SQL</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> Simple Search Form</p>
      <p><span class="fw-bold">Link:</span> http://railscasts.com/episodes/37-simple-search-form?autoplay=true&fbclid=IwAR2CF9B2HOxBAXZ9YitStG6WP4UhfGACD_0fF4zREm-jH8N_JkreLu_57I4</p>
      <p><span class="fw-bold">Purpose:</span> For Search bar in form</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> Introduction to PostgreSQL LIKE operator </p>
      <p><span class="fw-bold">Link:</span> https://www.postgresqltutorial.com/postgresql-like/?fbclid=IwAR3PWaRM4Beho6si4g59-GRGokXAXXt3X65rYgo5bxzwuPWBQTDCb_1Jtyk</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/19105706/rails-4-like-query-activerecord-adds-quotes?fbclid=IwAR1asLyBXh0xeSTpwjtsl1vF59WVgp1fCWZzQmDi3-A5EnWVOLFboUQGdek</p>
      <p><span class="fw-bold">Purpose:</span> For Searching Keyword in Quote and Author column of Database</p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> PostgreSQL IN, Not IN with Examples </p>
      <p><span class="fw-bold">Link:</span> https://www.guru99.com/postgresql-in-not.html?fbclid=IwAR2ApdiWuIfoe1DNq_HYurNizonjXq4__LC8iLWnbSVpROLCeKWbU0XaEPo</p>
      <p><span class="fw-bold">Purpose:</span> To retrieve data not including the killed quotes </p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> PostgreSQL ORDER BY </p>
      <p><span class="fw-bold">Link:</span> https://www.postgresqltutorial.com/postgresql-order-by/</p>
      <p><span class="fw-bold">Purpose:</span> To sort the data in terms of date and category </p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> ActionDispatch::Cookies < Object </p>
      <p><span class="fw-bold">Link:</span> https://api.rubyonrails.org/v5.2.1/classes/ActionDispatch/Cookies.html?fbclid=IwAR2YPP03huQJI-TRPIX5vmmHGQUh2XL2cmDw8HUot0I6hccHIJy1ZrikNHs </p>
      <p><span class="fw-bold">Purpose:</span> For storing user killed quote id </p>
    </div>
    <div class="citation problem_set_2">
      <p><span class="fw-bold">Title:</span> Importing an XML document into a Rails database?</p>
      <p><span class="fw-bold">Link:</span> https://www.generacodice.com/en/articolo/4484114/importing-an-xml-document-into-a-rails-database </p>
      <p><span class="fw-bold">Purpose:</span> For parsing XML data and create record in database </p>
    </div>

    <h5>Problem Set 4: Odds, Ends, and User Management</h5>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Peach Color</p>
      <p><span class="fw-bold">Link:</span> https://www.eggradients.com/color/peach-color</p>
      <p><span class="fw-bold">Purpose:</span> used Hex code for setting background color  of box  for citations in problem set 3 </p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Capybara: How do I fill in a input field by its ID</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/4754187/capybara-how-do-i-fill-in-a-input-field-by-its-id</p>
      <p><span class="fw-bold">Purpose:</span> Checked for filling input field by element's id for cucumber test</p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Cucumber/Capybara: check that a page does NOT have content?</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/11980109/cucumber-capybara-check-that-a-page-does-not-have-content</p>
      <p><span class="fw-bold">Purpose:</span> Checked for testing web page not to have certain content in cucumber test</p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Rails Capybara link_to test</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/32238905/rails-capybara-link-to-test</p>
      <p><span class="fw-bold">Purpose:</span> Checked for testing links having certain href attributes in cucumber test</p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> cucumber test file download</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/5255250/cucumber-test-file-download</p>
      <p><span class="fw-bold">Purpose:</span> Checked for quote exported in xml and json file</p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Rails image_tag width attribute to use a percentage / auto value?</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/30693728/rails-image-tag-width-attribute-to-use-a-percentage-auto-value</p>
      <p><span class="fw-bold">Purpose:</span> Checked for setting height and with for image_tage</p>
    </div>
    <div class="citation problem_set_3">
      <p><span class="fw-bold">Title:</span> Rails image_tag width attribute to use a percentage / auto value?</p>
      <p><span class="fw-bold">Link:</span> https://stackoverflow.com/questions/30693728/rails-image-tag-width-attribute-to-use-a-percentage-auto-value</p>
      <p><span class="fw-bold">Purpose:</span> Checked for setting height and with for image_tage</p>
    </div>

    <h5>Problem Set 5: Content Management, Part I Due midnight</h5>
    <div class="citation problem_set_5">
      <p><span class="fw-bold">Title:</span> How To Do Document Version Control (with example)</p>
      <p><span class="fw-bold">Link:</span> https://www.girlsguidetopm.com/how-to-do-document-version-control/</p>
      <p><span class="fw-bold">Purpose:</span> Referred for the format of version numbering</p>
    </div>
    <div class="citation problem_set_5">
      <p><span class="fw-bold">Title:</span> Role of User Acceptance Testing (UAT) for Business Analysts</p>
      <p><span class="fw-bold">Link:</span> https://www.youtube.com/watch?v=F42OS74ORI0</p>
      <p><span class="fw-bold">Purpose:</span> For learning about UAT and adopting UAT format</p>
    </div>
    <div class="citation problem_set_5">
      <p><span class="fw-bold">Title:</span>  Let’s UAT: A practical test case illustrated on the example of Trello</p>
      <p><span class="fw-bold">Link:</span> https://usersnap.com/blog/user-acceptance-testing-example/</p>
      <p><span class="fw-bold">Purpose:</span> For learning about UAT</p>
    </div>
    <div class="citation problem_set_5">
      <p><span class="fw-bold">Title:</span>  How to Run User Acceptance Test (UAT): An Actual Example From a Singaporean Tech Company</p>
      <p><span class="fw-bold">Link:</span> https://medium.com/@camille_4805/how-to-run-user-acceptance-test-uat-an-actual-example-from-a-singaporean-tech-company-3bd456f28afb</p>
      <p><span class="fw-bold">Purpose:</span> For learning about UAT</p>
    </div>
  </div>


<br/>
<br/>
